Skip to content
Start here

List Resource Groups

client.iam.resourceGroups.list(ResourceGroupListParams { account_id, id, name } params, RequestOptionsoptions?): SinglePage<ResourceGroupListResponse { id, scope, meta, name } >
GET/accounts/{account_id}/iam/resource_groups

List all the resource groups for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SCIM ProvisioningAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
params: ResourceGroupListParams { account_id, id, name }
account_id: string

Path param: Account identifier tag.

maxLength32
minLength32
id?: string

Query param: ID of the resource group to be fetched.

maxLength32
minLength32
name?: string

Query param: Name of the resource group to be fetched.

ReturnsExpand Collapse
ResourceGroupListResponse { id, scope, meta, name }

A group of scoped resources.

id: string

Identifier of the resource group.

scope: Array<Scope>

The scope associated to the resource group

key: string

This is a combination of pre-defined resource name and identifier (like Account ID etc.)

objects: Array<Object>

A list of scope objects for additional context.

key: string

This is a combination of pre-defined resource name and identifier (like Zone ID etc.)

meta?: Meta { key, value }

Attributes associated to the resource group.

key?: string
value?: string
name?: string

Name of the resource group.

List Resource Groups

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const resourceGroupListResponse of client.iam.resourceGroups.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(resourceGroupListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
      "scope": [
        {
          "key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
          "objects": [
            {
              "key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
            }
          ]
        }
      ],
      "meta": {
        "key": "key",
        "value": "value"
      },
      "name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
      "scope": [
        {
          "key": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4",
          "objects": [
            {
              "key": "com.cloudflare.api.account.zone.23f8d65290b24279ba6f44721b3eaad5"
            }
          ]
        }
      ],
      "meta": {
        "key": "key",
        "value": "value"
      },
      "name": "com.cloudflare.api.account.eb78d65290b24279ba6f44721b3ea3c4"
    }
  ]
}